--
\c db1

CREATE EXTENSION IF NOT EXISTS citus;


-- Create table gbif_psql_raw (inserted from Clickhouse)
CREATE TABLE IF NOT EXISTS public.gbif_psql_raw
(
    gbifid numeric,
    datasetkey text COLLATE pg_catalog."default",
    occurrenceid text COLLATE pg_catalog."default",
    kingdom text COLLATE pg_catalog."default",
    phylum text COLLATE pg_catalog."default",
    class text COLLATE pg_catalog."default",
    "order" text COLLATE pg_catalog."default",
    family text COLLATE pg_catalog."default",
    genus text COLLATE pg_catalog."default",
    species text COLLATE pg_catalog."default",
    infraspecificepithet text COLLATE pg_catalog."default",
    taxonrank text COLLATE pg_catalog."default",
    scientificname text COLLATE pg_catalog."default",
    verbatimscientificname text COLLATE pg_catalog."default",
    verbatimscientificnameauthorship text COLLATE pg_catalog."default",
    countrycode text COLLATE pg_catalog."default",
    locality text COLLATE pg_catalog."default",
    stateprovince text COLLATE pg_catalog."default",
    occurrencestatus text COLLATE pg_catalog."default",
    individualcount numeric,
    publishingorgkey text COLLATE pg_catalog."default",
    decimallatitude numeric,
    decimallongitude numeric,
    coordinateuncertaintyinmeters numeric,
    coordinateprecision numeric,
    elevation numeric,
    elevationaccuracy numeric,
    depth numeric,
    depthaccuracy numeric,
    eventdate timestamp without time zone,
    day numeric,
    month numeric,
    year numeric,
    taxonkey numeric,
    specieskey numeric,
    basisofrecord text COLLATE pg_catalog."default",
    institutioncode text COLLATE pg_catalog."default",
    collectioncode text COLLATE pg_catalog."default",
    catalognumber text COLLATE pg_catalog."default",
    recordnumber text COLLATE pg_catalog."default",
    identifiedby text COLLATE pg_catalog."default",
    dateidentified timestamp without time zone,
    license text COLLATE pg_catalog."default",
    rightsholder text COLLATE pg_catalog."default",
    recordedby text COLLATE pg_catalog."default",
    typestatus text COLLATE pg_catalog."default",
    establishmentmeans text COLLATE pg_catalog."default",
    lastinterpreted timestamp without time zone,
    mediatype text COLLATE pg_catalog."default",
    issue text COLLATE pg_catalog."default"
) USING COLUMNAR;

-- Hosted by country NL
CREATE TABLE IF NOT EXISTS public.gbif_psql_raw_nl
(
    gbifid numeric,
    datasetkey text COLLATE pg_catalog."default",
    occurrenceid text COLLATE pg_catalog."default",
    kingdom text COLLATE pg_catalog."default",
    phylum text COLLATE pg_catalog."default",
    class text COLLATE pg_catalog."default",
    "order" text COLLATE pg_catalog."default",
    family text COLLATE pg_catalog."default",
    genus text COLLATE pg_catalog."default",
    species text COLLATE pg_catalog."default",
    infraspecificepithet text COLLATE pg_catalog."default",
    taxonrank text COLLATE pg_catalog."default",
    scientificname text COLLATE pg_catalog."default",
    verbatimscientificname text COLLATE pg_catalog."default",
    verbatimscientificnameauthorship text COLLATE pg_catalog."default",
    countrycode text COLLATE pg_catalog."default",
    locality text COLLATE pg_catalog."default",
    stateprovince text COLLATE pg_catalog."default",
    occurrencestatus text COLLATE pg_catalog."default",
    individualcount numeric,
    publishingorgkey text COLLATE pg_catalog."default",
    decimallatitude numeric,
    decimallongitude numeric,
    coordinateuncertaintyinmeters numeric,
    coordinateprecision numeric,
    elevation numeric,
    elevationaccuracy numeric,
    depth numeric,
    depthaccuracy numeric,
    eventdate timestamp without time zone,
    day numeric,
    month numeric,
    year numeric,
    taxonkey numeric,
    specieskey numeric,
    basisofrecord text COLLATE pg_catalog."default",
    institutioncode text COLLATE pg_catalog."default",
    collectioncode text COLLATE pg_catalog."default",
    catalognumber text COLLATE pg_catalog."default",
    recordnumber text COLLATE pg_catalog."default",
    identifiedby text COLLATE pg_catalog."default",
    dateidentified timestamp without time zone,
    license text COLLATE pg_catalog."default",
    rightsholder text COLLATE pg_catalog."default",
    recordedby text COLLATE pg_catalog."default",
    typestatus text COLLATE pg_catalog."default",
    establishmentmeans text COLLATE pg_catalog."default",
    lastinterpreted timestamp without time zone,
    mediatype text COLLATE pg_catalog."default",
    issue text COLLATE pg_catalog."default"
) USING COLUMNAR;
